package addtool.dfd.io;

public interface dfdIOConstants {
    String ACTOR_TYPE="tm.Actor";
    String STORE_TYPE="tm.Store";
    String TRUST_BOUNDARY_TYPE="tm.Boundary";
    String DATA_FLOW_TYPE="tm.Flow";
    String Process_TYPE="tm.Process";
    String X="x";
    String Y="y";
    String Z="z";
    String POSITION="position";
    String WIDTH="width";
    String HEIGHT="height";
    String SIZE="size";
    String NAME="name";
    String ID="id";
    String CLASS="type";
    String THREAT_TITLE="title";
    String THREAT_DESCRIPTION="description";
    String THREAT_MITIGATIONS="mitigation";
    String THREAT_STRIDE="type";
    String THREAT_SEVERITY="severity";
    String THREAT_OPEN="status";
    String THREATS="threats";
    String ENTITIES="cells";
    String POINTS="vertices";
    String SOURCE="source";
    String TARGET="target";
    String OUT_OF_SCOPE="outOfScope";
    String REASON_OUT_OF_SCOPE="reasonOutOfScope";
    String PROVIDES_AUTHENTICATION="providesAuthentication";
    String IS_LOG="isALog";
    String STORES_CREDENTIALS="storesCredentials";
    String IS_ENCRYPTED="isEncrypted";
    String IS_SIGNED="isSigned";
    String PRIVILEGE_LEVEL="privilegeLevel";
    String LABELS="labels";
    String ATTRS="attrs";
    String TEXT="text";
    String IS_PUBLIC_NETWORK="isPublicNetwork";
    String PROTOCOL="protocol";
    String THREAT_STATUS_OPEN="Open";
    String THREAT_STATUS_Mitigated="Mitigated";
}
